Bug 558235

Summary: F12 installer leaves dangling symlinks
Product: [Fedora] Fedora Reporter: Steve Snyder <swsnyder>
Component: udevAssignee: Harald Hoyer <harald>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: harald, hdegoede, jonathan, vanmeeuwen+fedora
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 145-15.fc12 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-02-11 23:46:32 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
anaconda installer log file
none
installation log
none
another installation log none

Description Steve Snyder 2010-01-24 08:20:55 EST
Created attachment 386431 [details]
anaconda installer log file

Description of problem:

The installation of Fedora 12 leave many dangling symlinks

Version-Release number of selected component (if applicable):

Fedora 12 + updates repo

How reproducible:

Always

Steps to Reproduce:
1. Clean install from F12 DVD, opting for Updates as an additional yum repo
2. select all packages, excepting Clustering and Virtualization categories
3. After initial boot, check symlinks on installed system
  
Actual results:

dangling: /sbin/udevsettle -> ../../sbin/udevadm                                                                                
dangling: /sbin/udevcontrol -> ../../sbin/udevadm                                                                               
dangling: /var/www/moodle/web/lib/default.ttf -> /usr/share/fonts/gnu-free/FreeSans.ttf                                         
dangling: /var/www/moodle/web/lib/smarty -> /usr/share/php/Smarty/                                                              
dangling: /etc/alternatives/jaf_javadoc -> /usr/share/javadoc/classpathx-jaf                                                    
dangling: /etc/alternatives/activation_javadoc -> /usr/share/javadoc/classpathx-jaf                                             
dangling: /usr/share/eclipse/dropins/slide/plugins/com.tresys.slide_1.3.14/lib/ganymed-ssh2.jar -> /usr/share/java/ganymed-ssh2.jar                                                                                                                             
dangling: /usr/share/gnome/help/evolution/en_GB/figures/evo_mail_notifier.png -> ../../C/figures/evo_mail_notifier.png          
dangling: /usr/share/gnome/help/evolution/ru/figures/evo_mail_notifier.png -> ../../C/figures/evo_mail_notifier.png             
dangling: /usr/share/gnome/help/evolution/cs/figures/evo_mail_notifier.png -> ../../C/figures/evo_mail_notifier.png             
dangling: /usr/share/gnome/help/evolution/el/figures/evo_mail_notifier.png -> ../../C/figures/evo_mail_notifier.png             
dangling: /usr/share/gnome/help/evolution/es/figures/evo_mail_notifier.png -> ../../C/figures/evo_mail_notifier.png             
dangling: /usr/share/gnome/help/evolution/C/figures/evo_mail_notifier.png -> ../../C/figures/evo_mail_notifier.png              
dangling: /usr/share/gnome/help/evolution/mk/figures/evo_mail_notifier.png -> ../../C/figures/evo_mail_notifier.png             
dangling: /usr/share/gnome/help/evolution/oc/figures/evo_mail_notifier.png -> ../../C/figures/evo_mail_notifier.png             
dangling: /usr/share/gnome/help/evolution/sv/figures/evo_mail_notifier.png -> ../../C/figures/evo_mail_notifier.png             
dangling: /usr/share/gnome/help/evolution/de/figures/evo_mail_notifier.png -> ../../C/figures/evo_mail_notifier.png             
dangling: /usr/share/gallery2/lib/smarty -> ../../php/Smarty                                                                    
dangling: /usr/share/uim/loader.scm -> /var/lib/uim/loader.scm                                                                  
dangling: /usr/share/uim/pixmaps/m17n-ko-romaja.png -> /usr/share/m17n/icons/ko-romaja.png                                      
dangling: /usr/share/uim/pixmaps/m17n-el-kbd.png -> /usr/share/m17n/icons/el-kbd.png                                            
dangling: /usr/share/uim/pixmaps/m17n-kk-kbd.png -> /usr/share/m17n/icons/kk-kbd.png                                            
dangling: /usr/share/uim/pixmaps/m17n-latn-post.png -> /usr/share/m17n/icons/latn-post.png                                      
dangling: /usr/share/uim/pixmaps/m17n-my-kbd.png -> /usr/share/m17n/icons/my-kbd.png                                            
dangling: /usr/share/uim/pixmaps/m17n-vi-vni.png -> /usr/share/m17n/icons/vi-vni.png                                            
dangling: /usr/share/uim/pixmaps/m17n-ru-yawerty.png -> /usr/share/m17n/icons/ru-yawerty.png                                    
dangling: /usr/share/uim/pixmaps/m17n-sk-kbd.png -> /usr/share/m17n/icons/sk-kbd.png                                            
dangling: /usr/share/uim/pixmaps/m17n-zh-cangjie.png -> /usr/share/m17n/icons/zh-cangjie.png                                    
dangling: /usr/share/uim/pixmaps/m17n-fa-isiri.png -> /usr/share/m17n/icons/fa-isiri.png                                        
dangling: /usr/share/uim/pixmaps/m17n-vi-tcvn.png -> /usr/share/m17n/icons/vi-tcvn.png                                          
dangling: /usr/share/uim/pixmaps/m17n-lo-kbd.png -> /usr/share/m17n/icons/lo-kbd.png                                            
dangling: /usr/share/uim/pixmaps/m17n-zh-py.png -> /usr/share/m17n/icons/zh-py.png                                              
dangling: /usr/share/uim/pixmaps/m17n-km-yannis.png -> /usr/share/m17n/icons/km-yannis.png                                      
dangling: /usr/share/uim/pixmaps/m17n-zh-tonepy-gb.png -> /usr/share/m17n/icons/zh-tonepy-gb.png                                
dangling: /usr/share/uim/pixmaps/m17n-zh-tonepy-b5.png -> /usr/share/m17n/icons/zh-tonepy-b5.png                                
dangling: /usr/share/uim/pixmaps/m17n-am-sera.png -> /usr/share/m17n/icons/am-sera.png                                          
dangling: /usr/share/uim/pixmaps/m17n-ru-kbd.png -> /usr/share/m17n/icons/ru-kbd.png                                            
dangling: /usr/share/uim/pixmaps/m17n-zh-py-b5.png -> /usr/share/m17n/icons/zh-py-b5.png                                        
dangling: /usr/share/uim/pixmaps/m17n-vi-viqr.png -> /usr/share/m17n/icons/vi-viqr.png                                          
dangling: /usr/share/uim/pixmaps/m17n-rfc1345.png -> /usr/share/m17n/icons/rfc1345.png                                          
dangling: /usr/share/uim/pixmaps/m17n-zh-py-gb.png -> /usr/share/m17n/icons/zh-py-gb.png                                        
dangling: /usr/share/uim/pixmaps/m17n-dv-phonetic.png -> /usr/share/m17n/icons/dv-phonetic.png
dangling: /usr/share/uim/pixmaps/m17n-bopo-kbd.png -> /usr/share/m17n/icons/bopo-kbd.png
dangling: /usr/share/uim/pixmaps/m17n-latn-pre.png -> /usr/share/m17n/icons/latn-pre.png
dangling: /usr/share/uim/pixmaps/m17n-ar-kbd.png -> /usr/share/m17n/icons/ar-kbd.png
dangling: /usr/share/uim/pixmaps/m17n-sr-kbd.png -> /usr/share/m17n/icons/sr-kbd.png
dangling: /usr/share/uim/pixmaps/m17n-he-kbd.png -> /usr/share/m17n/icons/he-kbd.png
dangling: /usr/share/uim/pixmaps/m17n-lo-lrt.png -> /usr/share/m17n/icons/lo-lrt.png
dangling: /usr/share/uim/pixmaps/m17n-hr-kbd.png -> /usr/share/m17n/icons/hr-kbd.png
dangling: /usr/share/uim/pixmaps/m17n-ko-han2.png -> /usr/share/m17n/icons/ko-han2.png
dangling: /usr/share/uim/pixmaps/m17n-zh-pinyin.png -> /usr/share/m17n/icons/zh-pinyin.png
dangling: /usr/share/uim/pixmaps/m17n-zh-tonepy.png -> /usr/share/m17n/icons/zh-tonepy.png
dangling: /usr/share/uim/pixmaps/m17n-ja-tcode.png -> /usr/share/m17n/icons/ja-tcode.png
dangling: /usr/share/uim/pixmaps/m17n-hy-kbd.png -> /usr/share/m17n/icons/hy-kbd.png
dangling: /usr/share/uim/pixmaps/m17n-unicode.png -> /usr/share/m17n/icons/unicode.png
dangling: /usr/share/uim/pixmaps/m17n-zh-quick.png -> /usr/share/m17n/icons/zh-quick.png
dangling: /usr/share/uim/pixmaps/m17n-kk-arabic.png -> /usr/share/m17n/icons/kk-arabic.png
dangling: /usr/share/uim/pixmaps/m17n-syrc-phonetic.png -> /usr/share/m17n/icons/syrc-phonetic.png
dangling: /usr/share/uim/pixmaps/m17n-sv-post.png -> /usr/share/m17n/icons/sv-post.png
dangling: /usr/share/uim/pixmaps/m17n-vi-telex.png -> /usr/share/m17n/icons/vi-telex.png
dangling: /usr/share/uim/pixmaps/m17n-ka-kbd.png -> /usr/share/m17n/icons/ka-kbd.png
dangling: /usr/share/uim/installed-modules.scm -> /var/lib/uim/installed-modules.scm
dangling: /usr/share/mantis/mantis_offline.php -> ../../../etc/mantis/mantis_offline.php
dangling: /usr/share/javadoc/activation -> /etc/alternatives/activation_javadoc
dangling: /usr/share/javadoc/jaf -> /etc/alternatives/jaf_javadoc
dangling: /usr/sbin/slapschema -> ../lib/slapd
dangling: /usr/lib/eclipse/dropins/pydev/eclipse/plugins/piccolo2d-core.jar -> /usr/share/java/piccolo2d/piccolo2d-core.jar
dangling: /usr/lib/eclipse/dropins/pydev/eclipse/plugins/piccolo2d-swt.jar -> /usr/share/java/piccolo2d/piccolo2d-swt.jar
dangling: /usr/lib/eclipse/dropins/pydev/eclipse/plugins/piccolo2d-extras.jar -> /usr/share/java/piccolo2d/piccolo2d-extras.jar
dangling: /usr/bin/maniadrive-wrapper -> opengl-game-wrapper.sh
dangling: /usr/bin/glaxium-wrapper -> opengl-game-wrapper.sh
dangling: /usr/bin/nexuiz-sdl-wrapper -> opengl-game-wrapper.sh
dangling: /usr/bin/glest-wrapper -> opengl-game-wrapper.sh
dangling: /usr/bin/stormbaancoureur-wrapper -> opengl-game-wrapper.sh
dangling: /usr/bin/alienarena-wrapper -> opengl-game-wrapper.sh

Expected results:

Installer should resolve package dependencies such that dangling symlinks are not left on the system.

Additional info:

See attached installation log files.
Comment 1 Steve Snyder 2010-01-24 08:22:00 EST
Created attachment 386432 [details]
installation log
Comment 2 Steve Snyder 2010-01-24 08:22:46 EST
Created attachment 386433 [details]
another installation log
Comment 3 Hans de Goede 2010-01-25 03:39:15 EST
Hi,

Thanks for the bug report, this are all valid issues and should be reported.
However, this not a problem with the installer, but a problem with the individual packages which contain these symlinks, so bugs should be filed against all the packages which contain files from your list.

For example I verified the issue with udev on my system:

[hans@localhost ~]$ ls -l /sbin/udevsettle 
lrwxrwxrwx. 1 root root 18 2009-11-16 11:21 /sbin/udevsettle -> ../../sbin/udevadm

Note that this one is a bit special, it still works as the .. of / is / itself.
So to now find out against which package to file a bug, you can do rpm -qf
on the file, ie:
[hans@localhost ~]$ rpm -qf /sbin/udevsettle 
udev-145-14.fc12.x86_64

So the correct component for the udev part of this bug would be udev, in some
cases the rpm -qf will give you a package which is not in bugzilla components list as it is a sub package of another package, and bugzilla only contains a list
of source rpms, in that case to find the source rpm, do: "rpm -qi <package>", ie:
[hans@localhost ~]$ rpm -qi udev
udev-145-14.fc12.x86_64
Name        : udev                         Relocations: (not relocatable)
Version     : 145                               Vendor: Fedora Project
Release     : 14.fc12                       Build Date: Wed 11 Nov 2009 02:15:43 PM CET
Install Date: Mon 16 Nov 2009 11:21:00 AM CET      Build Host: x86-4.fedora.phx.redhat.com
Group       : System Environment/Base       Source RPM: udev-145-14.fc12.src.rpm
Size        : 1090657                          License: GPLv2
Signature   : RSA/8, Wed 11 Nov 2009 05:42:34 PM CET, Key ID 9d1cc34857bbccba
Packager    : Fedora Project
URL         : http://www.kernel.org/pub/linux/utils/kernel/hotplug/udev.html
Summary     : A userspace implementation of devfs
Description :
The udev package contains an implementation of devfs in
userspace using sysfs and netlink.

Notice the source rpm in the right column, which in this case is simply udev, just like the rpm -qf answer.

I'll change the component of this bug to udev, to track the issue with the 2 udev symlinks, can you please file bugs for all the other symlinks (One per package with dangling symlinks) ?

Thanks,

Hans
Comment 4 Fedora Update System 2010-01-26 07:57:35 EST
udev-145-15.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/udev-145-15.fc12
Comment 5 Steve Snyder 2010-01-26 08:10:09 EST
(In reply to comment #4)
> udev-145-15.fc12 has been submitted as an update for Fedora 12.
> http://admin.fedoraproject.org/updates/udev-145-15.fc12    

Thank you, Hans.

I urge Red Hat to run "symlink -tr /" on newly-installed systems as a standard part of the RHEL/Fedora QA process.  It's a quick test, and you find a lot of problems this way.
Comment 6 Hans de Goede 2010-01-26 08:14:04 EST
(In reply to comment #5)
> (In reply to comment #4)
> > udev-145-15.fc12 has been submitted as an update for Fedora 12.
> > http://admin.fedoraproject.org/updates/udev-145-15.fc12    
> 
> Thank you, Hans.
> 
> I urge Red Hat to run "symlink -tr /" on newly-installed systems as a standard
> part of the RHEL/Fedora QA process.  It's a quick test, and you find a lot of
> problems this way.    

Hi,

That is a good idea, can you please discuss this further on the fedora development mailinglist?

Regards,

Hans
Comment 7 Fedora Update System 2010-01-27 19:55:37 EST
udev-145-15.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update udev'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1138
Comment 8 Fedora Update System 2010-02-11 23:45:59 EST
udev-145-15.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.